Skip to main content
POST
/
api
/
orgs
/
{id}
/
initiatives
/
{initiativeId}
/
projects
Add project to initiative
curl --request POST \
  --url https://atollhq.com/api/orgs/{id}/initiatives/{initiativeId}/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "name": "<string>",
  "description": "<string>",
  "goal_id": "<string>",
  "goalId": "<string>",
  "owner_id": "<string>",
  "ownerId": "<string>",
  "target_date": "2023-12-25",
  "targetDate": "2023-12-25",
  "project_id": "<string>",
  "projectId": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

initiativeId
string
required

initiativeId identifier

Body

application/json
title
string
name
string

Legacy alias accepted on create. Atoll stores title and name in sync.

description
string
goal_id
string
goalId
string

Alias for goal_id accepted on create.

owner_id
string
ownerId
string

Alias for owner_id accepted on create.

status
enum<string>
Available options:
proposed,
active,
completed,
paused,
cancelled
target_date
string<date>
targetDate
string<date>

Alias for target_date accepted on create.

project_id
string

Initial project link for project-scoped initiative creation. Required for guests.

projectId
string

Alias for project_id accepted on create.

Response

Successful response

The response is of type object.